Bug 18959 - Text_CSV_Various.t must skip if Text::CSV::Unicode is not installed
Summary: Text_CSV_Various.t must skip if Text::CSV::Unicode is not installed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-19 20:32 UTC by Jonathan Druart
Modified: 2018-11-28 08:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18959: Text::CSV::Unicode missing from dependencies (844 bytes, patch)
2018-10-13 12:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18959: Skip xt/author/Text_CSV_Various.t if Text::CSV::Unicode missing (1.11 KB, patch)
2018-10-13 12:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18959: Text::CSV::Unicode missing from dependencies (917 bytes, patch)
2018-10-16 16:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18959: Skip xt/author/Text_CSV_Various.t if Text::CSV::Unicode missing (1.26 KB, patch)
2018-10-16 16:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-07-19 20:32:10 UTC
Tests from Text_CSV_Various.t fail if Text::CSV::Unicode is not installed
Comment 1 Tomás Cohen Arazi 2018-10-13 12:17:58 UTC
Created attachment 80578 [details] [review]
Bug 18959: Text::CSV::Unicode missing from dependencies
Comment 2 Tomás Cohen Arazi 2018-10-13 12:18:02 UTC
Created attachment 80579 [details] [review]
Bug 18959: Skip xt/author/Text_CSV_Various.t if Text::CSV::Unicode missing
Comment 3 Jonathan Druart 2018-10-16 16:36:33 UTC
Why not making it mandatory instead?
Comment 4 Jonathan Druart 2018-10-16 16:37:32 UTC
(In reply to Jonathan Druart from comment #3)
> Why not making it mandatory instead?

Heh ok, we just need it for the tests!
Comment 5 Jonathan Druart 2018-10-16 16:39:00 UTC
Created attachment 80666 [details] [review]
Bug 18959: Text::CSV::Unicode missing from dependencies

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2018-10-16 16:39:04 UTC
Created attachment 80667 [details] [review]
Bug 18959: Skip xt/author/Text_CSV_Various.t if Text::CSV::Unicode missing

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2018-10-17 15:47:57 UTC
Trivial, skipping QA.
Comment 8 Nick Clemens 2018-10-19 17:30:45 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-11-05 14:57:08 UTC
Pushed to 18.05.x for 18.05.06
Comment 10 Fridolin SOMERS 2018-11-28 08:41:41 UTC
Pushed to 17.11.x for 17.11.13